For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DiscordGet API Key
  • Getting Started
    • Overview
    • Quickstart
    • Errors
    • Pricing
  • Chat
    • Overview
    • Chat with Image, Video, and Audio
    • Function Calling
    • Models
  • Vision
    • Overview
    • Rate Limits
    • Pricing
    • MCP Server
    • Video Management
    • Video Group Management
    • Video Search
    • Video QA
    • Clip Generation
    • Metadata Tagging
    • Image Management
    • Image Search
        • GETList available inference models
        • GETList inference requests
        • GETGet inference result
        • GETGet inference status
        • POSTCancel inference request
        • POSTOpenAI-compatible chat completion (Qwen)
        • POSTSubmit image-to-video with Kling v3 Pro
        • POSTSubmit image-to-video with Veo 3.1
        • POSTSubmit image-to-video with Sora 2 Pro
        • POSTSubmit Image To Video
        • POSTSubmit text-to-image with Nano Banana
        • POSTSubmit Text To Image
        • POSTSubmit Edit
        • POSTSubmit Text To Video
        • POSTSubmit Text To Speech
        • POSTSubmit Image To Bbox
  • Research
    • Overview
    • Streaming
    • Reasoning Steps
    • Web Search
    • Structured Output
    • Parallel Thinking
    • Best Practices
    • Errors
    • Examples
  • Speech
    • Overview
    • Audio Transcription
    • Speech Translation
    • Speech-to-Speech Translation
  • Resources
    • FAQs
    • Changelog
    • System Status
LogoLogo
DiscordGet API Key
VisionAPI ReferenceInference

List available inference models

GET
https://vision-agent.api.reka.ai/v2/inference/models
GET
/v2/inference/models
$curl https://vision-agent.api.reka.ai/v2/inference/models \
> -H "X-Api-Key: <apiKey>"
200Retrieved
1{
2 "models": [
3 {
4 "endpoint_id": "string",
5 "model_id": "string",
6 "capability": "string"
7 }
8 ]
9}
Was this page helpful?
Previous

List inference requests

Next
Built with

Authentication

X-Api-Keystring

API key authentication via X-Api-Key header

OR
AuthorizationBearer
Bearer token authentication via Authorization header

Response

Successful Response
modelslist of objects